# Scripts

## Description:
Some useful scripts (for me) that can be added to $PATH :)

## List:
* bash_quote: Get a random quote from http://danstonchat.com
* firewall: A script shell to set some iptables rules.
* update-dynmotd.d/: scripts to update the motd (via the /etc/update-motd.d directory).
* flac_to_mp3: convert all flac files of a directory into mp3.
* pomodoro: Print a task and a timer in a file. Try to apply Pomodoro Technique!
* snapsend.sh: Send a ZFS snapshot to a remote host.
* test_ssl3: Test if a website supportes the SSLV3 protocol.
* veille.sh: Kill every sensitive process and files then lock the screen.
* vimmanpager: Tiny script can be used as PAGER, it will call VIM!
* wol: Send WakeOnLan/magic packets to remote host.
* zenity_generator: Script to generate zenity window.
* zfSnap.sh: Take snapshot of a ZFS pool.


### Pomodoro
My implementation of the Pomodoro Technique (https://en.wikipedia.org/wiki/Pomodoro_Technique).

You can simply launch it with:
```sh
pomodoro "Work my french kiss"
```

Then the script will:
* Create a ~/.pomodoro directory to store current task (current.task) and a summary of each week (eg week-42-2015.txt).
* First, it's put task name and a timer (for $WORK_TIME) to the current task file.
* Once the $WORK_TIME has been reached:
  1. Log task name and worked time to the weekly log file
  2. Toggle the sound to mark a pause
  3. It's put a pause/break message for 5/20 minutes as current task
  4. Delete the current task file

#### Disavantages
* Must run the script every ~30 minutes
* …?

#### Advantages
* I can display my current task and it's timer wherever i want (tmux, herbstluftwm, …)
* Written to work with /bin/sh

